HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostPaymentMethodsPaymentMethodDetach

Contains the different functions to run the operation postPaymentMethodsPaymentMethodDetach

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostPaymentMethodsPaymentMethodDetach.hs
valuepostPaymentMethodsPaymentMethodDetach
  1. :: MonadHTTP m
  2. => Text

    payment_method | Constraints: Maximum length of 5000

  3. -> Maybe PostPaymentMethodsPaymentMethodDetachRequestBody

    The request body to send

  4. -> ClientT m (Response PostPaymentMethodsPaymentMethodDetachResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/payment_methods/{payment_method}/detach

<p>Detaches a PaymentMethod object from a Customer. After a PaymentMethod is detached, it can no longer be used for a payment or re-attached to a Customer.</p>

Defines the object schema located at paths./v1/payment_methods/{payment_method}/detach.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postPaymentMethodsPaymentMethodDetach.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostPaymentMethodsPaymentMethodDetachResponseError is used.

Instances2Eq, Show